Summary: Firmware for Marvell Libertas SD 8686 Network Adapter
Name:    libertas-sd8686-firmware
Version: 9.70.20.p0
Release: 1%{?dist}
License: Redistributable, no modification permitted
Group:   System Environment/Kernel
URL:     http://www.marvell.com/
Source0: http://dev.laptop.org/pub/firmware/libertas/sd8686-%{version}.bin
Source1: http://dev.laptop.org/pub/firmware/libertas/sd8686_helper.bin
Source2: http://dev.laptop.org/pub/firmware/libertas/LICENSE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildArch: noarch

Requires: udev

%description
Firmware for Marvell Libertas SD 8686 Network Adapter

%prep
%setup -c -T
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .
cp -p %{SOURCE2} LICENSE
sed -i 's/\r//' LICENSE

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -D -m 0644 %{SOURCE0} $RPM_BUILD_ROOT/lib/firmware/sd8686.bin
%{__install} -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/lib/firmware/sd8686_helper.bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
/lib/firmware/*.bin


%changelog
* Tue Jul 26 2011 Daniel Drake <dsd@laptop.org> - 9.70.20.p0-1
- New version

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9.70.7.p0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 4  2009 Daniel Drake <dsd@laptop.org> - 9.70.7.p0-1
- Initial package

